tt_trace_control(library call)

NAME
tt_trace_control — control client-side tracing

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_trace_control(
int onoff);

DESCRIPTION

The tt_trace_control function sets or clears an internal flag controlling all client-side tracing. The intent of this is to be called from debugger breakpoints, allowing a programmer to narrow the trace to the suspect area.

The value of the onoff argument affects tracing as follows:

0   Tracing is turned off.

1   Tracing is turned on.

-1  Tracing is turned on if it was off and vice-versa.

RETURN VALUE

The tt_trace_control function returns the previous setting of the trace flag.

APPLICATION USAGE

This call does not return one of the TT_xxx type of errors or warnings, but only the numbers 1 or zero.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), ttsession(1).